

# Group SDS\_IO\_Return\_Codes



[**Modules**](modules.md) **>** [**SDS\_IO\_Return\_Codes**](group__SDS__IO__Return__Codes.md)



_SDS I/O Function Return Codes._ [More...](#detailed-description)

































































## Macros

| Type | Name |
| ---: | :--- |
| define  | [**SDSIO\_EOS**](group__SDS__IO__Return__Codes.md#define-sdsio_eos)  `(-6)`<br>_End of stream reached in SDS I/O read operation._  |
| define  | [**SDSIO\_ERROR**](group__SDS__IO__Return__Codes.md#define-sdsio_error)  `(-1)`<br>_General error during SDS I/O function execution._  |
| define  | [**SDSIO\_ERROR\_INTERFACE**](group__SDS__IO__Return__Codes.md#define-sdsio_error_interface)  `(-4)`<br>_Error in the SDS I/O interface._  |
| define  | [**SDSIO\_ERROR\_NO\_SERVER**](group__SDS__IO__Return__Codes.md#define-sdsio_error_no_server)  `(-5)`<br>_No response from the SDS I/O server._  |
| define  | [**SDSIO\_ERROR\_PARAMETER**](group__SDS__IO__Return__Codes.md#define-sdsio_error_parameter)  `(-2)`<br>_Invalid parameter passed to an SDS I/O function._  |
| define  | [**SDSIO\_ERROR\_TIMEOUT**](group__SDS__IO__Return__Codes.md#define-sdsio_error_timeout)  `(-3)`<br>_SDS I/O function execution timed out._  |
| define  | [**SDSIO\_OK**](group__SDS__IO__Return__Codes.md#define-sdsio_ok)  `(0)`<br>_SDS I/O function executed successfully._  |

## Detailed Description


The following values are returned by most `sdsio` functions. 


    
## Macro Definition Documentation





### define SDSIO\_EOS 

_End of stream reached in SDS I/O read operation._ 
```
#define SDSIO_EOS `(-6)`
```




<hr>



### define SDSIO\_ERROR 

_General error during SDS I/O function execution._ 
```
#define SDSIO_ERROR `(-1)`
```




<hr>



### define SDSIO\_ERROR\_INTERFACE 

_Error in the SDS I/O interface._ 
```
#define SDSIO_ERROR_INTERFACE `(-4)`
```




<hr>



### define SDSIO\_ERROR\_NO\_SERVER 

_No response from the SDS I/O server._ 
```
#define SDSIO_ERROR_NO_SERVER `(-5)`
```




<hr>



### define SDSIO\_ERROR\_PARAMETER 

_Invalid parameter passed to an SDS I/O function._ 
```
#define SDSIO_ERROR_PARAMETER `(-2)`
```




<hr>



### define SDSIO\_ERROR\_TIMEOUT 

_SDS I/O function execution timed out._ 
```
#define SDSIO_ERROR_TIMEOUT `(-3)`
```




<hr>



### define SDSIO\_OK 

_SDS I/O function executed successfully._ 
```
#define SDSIO_OK `(0)`
```




<hr>

------------------------------


